SET NOEXEC OFF
USE [master]
GO
/****** Object:  Database [PrickaBokslut]    Script Date: 2016-01-25 12:15:55 ******/
IF EXISTS (SELECT * FROM sys.databases WHERE NAME = 'PrickaBokslut')
BEGIN
	PRINT 'Database already exist';
	SET NOEXEC ON
	RETURN
END

IF NOT EXISTS (SELECT (SELECT HAS_PERMS_BY_NAME(null, null, 'CONTROL SERVER')) WHERE (SELECT HAS_PERMS_BY_NAME(null, null, 'CONTROL SERVER')) = 1)
BEGIN
	PRINT 'Script needs to be run as Admin!'
	SET NOEXEC ON
	RETURN
END
GO

IF  Not EXISTS (SELECT * FROM sys.databases WHERE NAME = 'PrickaBokslut')
CREATE DATABASE [PrickaBokslut] COLLATE Finnish_Swedish_CI_AS
/**********************************************************************************/
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [PrickaBokslut].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [PrickaBokslut] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [PrickaBokslut] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [PrickaBokslut] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [PrickaBokslut] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [PrickaBokslut] SET ARITHABORT OFF 
GO
ALTER DATABASE [PrickaBokslut] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [PrickaBokslut] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [PrickaBokslut] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [PrickaBokslut] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [PrickaBokslut] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [PrickaBokslut] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [PrickaBokslut] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [PrickaBokslut] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [PrickaBokslut] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [PrickaBokslut] SET  DISABLE_BROKER 
GO
ALTER DATABASE [PrickaBokslut] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [PrickaBokslut] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [PrickaBokslut] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [PrickaBokslut] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [PrickaBokslut] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [PrickaBokslut] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [PrickaBokslut] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [PrickaBokslut] SET  MULTI_USER 
GO
ALTER DATABASE [PrickaBokslut] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [PrickaBokslut] SET DB_CHAINING OFF 
GO
USE [PrickaBokslut]
/****** Object:  Table [dbo].[Accounts]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Accounts](
	[AccountID] [int] IDENTITY(1,1) NOT NULL,
	[ReconGroupID] [int] NOT NULL,
	[AccountType] [tinyint] NOT NULL,
	[Account] [nvarchar](70) NOT NULL,
	[AccountName] [nvarchar](256) NULL,
	[AccountDescription] [nvarchar](1024) NULL,
	[CurrencyID] [int] NULL,
	[Balance] [decimal](20, 2) NULL,
	[BalanceUpdateDate] [datetime] NULL,
 CONSTRAINT [PK_Accounts] PRIMARY KEY CLUSTERED 
(
	[AccountID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Archiving]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Archiving](
	[ArchiveID] [int] IDENTITY(1,1) NOT NULL,
	[ReconGroupID] [int] NOT NULL,
	[DocPath] [nvarchar](500) NULL,
	[DocXML] [nvarchar](max) NULL,
	[Doc] [varbinary](max) NULL,
	[DocInfo] [nvarchar](500) NULL,
	[DocType] [nvarchar](20) NULL,
	[ArchiveType] [tinyint] NULL,
	[UserRights] [nvarchar](max) NULL,
	[ArchivingDate] [datetime] NOT NULL,
	[RightGroupID] [int] NULL,
 CONSTRAINT [PK_Archiving] PRIMARY KEY CLUSTERED 
(
	[ArchiveID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[ColumnsSettings]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ColumnsSettings](
	[ColumnsSettingsID] [int] NOT NULL,
	[ColumnsSettingsName] [nvarchar](256) NOT NULL,
	[ColumnName] [nvarchar](10) NOT NULL,
	[GridColumnName] [nvarchar](50) NOT NULL,
	[ShowColumn] [bit] NOT NULL,
	[Order] [tinyint] NOT NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Comments]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Comments](
	[CommentID] [int] IDENTITY(1,1) NOT NULL,
	[DialogID] [int] NOT NULL,
	[UserID] [int] NOT NULL,
	[Text] [nvarchar](1024) NOT NULL,
	[Attachment] [varbinary](max) NULL,
	[Priority] [smallint] NOT NULL,
	[CommentDate] [datetime] NOT NULL,
	[PeriodID] [int] NULL,
 CONSTRAINT [PK_Comments] PRIMARY KEY CLUSTERED 
(
	[CommentID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Currency]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Currency](
	[CurrencyID] [int] IDENTITY(1,1) NOT NULL,
	[Code] [nvarchar](3) NOT NULL,
	[Info] [nvarchar](1024) NULL,
 CONSTRAINT [PK_Currency] PRIMARY KEY CLUSTERED 
(
	[CurrencyID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[DBLog]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[DBLog](
	[LogID] [bigint] IDENTITY(1,1) NOT NULL,
	[UserID] [int] NULL,
	[Message] [nvarchar](4000) NULL,
	[Type] [varchar](30) NOT NULL,
	[LogDate] [datetime] NOT NULL,
 CONSTRAINT [PK_PrickaBokslutLog] PRIMARY KEY CLUSTERED 
(
	[LogID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Dialogs]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Dialogs](
	[DialogID] [int] IDENTITY(1,1) NOT NULL,
	[DialogDate] [datetime] NOT NULL,
 CONSTRAINT [PK_Dialogs] PRIMARY KEY CLUSTERED 
(
	[DialogID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Entities]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Entities](
	[EntityID] [int] IDENTITY(1,1) NOT NULL,
	[EntityName] [nvarchar](50) NOT NULL,
	[EntityNo] [nvarchar](50) NULL,
	[CompanyName] [nvarchar](60) NULL,
	[Adress1] [nvarchar](60) NULL,
	[Adress2] [nvarchar](60) NULL,
	[ZipCode] [nvarchar](30) NULL,
	[City] [nvarchar](50) NULL,
	[DefaultCurrency] [int] NULL,
	[ArchivingSettings] [nvarchar](max) NULL,
 CONSTRAINT [PK_Entities] PRIMARY KEY CLUSTERED 
(
	[EntityID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[FiscalYear]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[FiscalYear](
	[FiscalYearID] [int] IDENTITY(1,1) NOT NULL,
	[EntityID] [int] NOT NULL,
	[StartDate] [datetime] NOT NULL,
	[EndDate] [datetime] NOT NULL,
	[Info] [nvarchar](256) NULL,
	[Status] [tinyint] NOT NULL,
 CONSTRAINT [PK_FiscalYear] PRIMARY KEY CLUSTERED 
(
	[FiscalYearID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[GeneralSettings]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GeneralSettings](
	[GeneralSettingsID] [int] NOT NULL,
	[CompanyName] [nvarchar](60) NULL,
	[Adress1] [nvarchar](60) NULL,
	[Adress2] [nvarchar](60) NULL,
	[ZipCode] [nvarchar](30) NULL,
	[City] [nvarchar](60) NULL,
	[License] [text] NULL,
	[DBVersion] [smallint] NOT NULL,
	[EnableMainImportsPath] [bit] NOT NULL CONSTRAINT [DF_GeneralSettings_EnableMainImportsPath]  DEFAULT ((0)),
	[EnableAutoImportsPaths] [bit] NOT NULL CONSTRAINT [DF_GeneralSettings_EnableAutoImportsPaths]  DEFAULT ((0)),
	[MainImportsPath] [nvarchar](1024) NULL,
	[EnableMainArchivePaths] [bit] NOT NULL CONSTRAINT [DF_GeneralSettings_EnableMainArchivePaths]  DEFAULT ((0)),
	[CustomerNumber] [nvarchar](15) NULL,
	[GlobalInfo] [nvarchar](max) NULL,
	[PKSettings] [nvarchar](max) NULL,
	[EnableArchivingMainPath] [bit] NULL,
	[ArchivingMainPath] [nvarchar](1024) NULL,
	[EnableArchiving] [bit] NULL,
	[PBSettings] [nvarchar](max) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[ImportInterfaces]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[ImportInterfaces](
	[ImportInterfaceID] [int] IDENTITY(1,1) NOT NULL,
	[ImportName] [nvarchar](256) NOT NULL,
	[Type] [nvarchar](20) NOT NULL,
	[Script] [nvarchar](max) NULL,
	[DLL] [varbinary](max) NULL,
	[Paths] [nvarchar](max) NULL,
	[ActivateParameters] [bit] NOT NULL,
	[ParametersSettings] [nvarchar](max) NULL,
	[ImportMultipleEntities] [bit] NOT NULL,
	[ImportMultipleEntitiesPath] [nvarchar](1024) NULL,
	[ImportMultipleEntitiesPathArchive] [nvarchar](1024) NULL,
	[ImportMultipleEntitiesFileFilter] [nvarchar](256) NULL,
	[ModifiedDate] [datetime] NULL,
 CONSTRAINT [PK_ImportInterface] PRIMARY KEY CLUSTERED 
(
	[ImportInterfaceID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Language]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Language](
	[LanguageID] [int] IDENTITY(1,1) NOT NULL,
	[LanguageName] [nvarchar](50) NOT NULL,
	[LanguageCulture] [nvarchar](10) NOT NULL,
	[LanguageSettings] [nvarchar](max) NULL,
 CONSTRAINT [PK_Language] PRIMARY KEY CLUSTERED 
(
	[LanguageID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Periods]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Periods](
	[PeriodID] [int] IDENTITY(1,1) NOT NULL,
	[FiscalYearID] [int] NOT NULL,
	[WorkflowID] [int] NOT NULL,
	[DialogID] [int] NULL,
	[StartDate] [datetime] NOT NULL,
	[EndDate] [datetime] NOT NULL,
	[Info] [nvarchar](256) NULL,
	[Status] [tinyint] NOT NULL,
	[Updated] [datetime] NULL,
	[UpdatedUserID] [int] NULL,
	[UserRoles] [nvarchar](max) NULL,
	[FourEyesPrinciple] [bit] NOT NULL,
	[SumUnspecified] [decimal](20, 2) NULL,
	[ClosedBy] [nvarchar](max) NULL,
 CONSTRAINT [PK_Periods] PRIMARY KEY CLUSTERED 
(
	[PeriodID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[ReconGroups]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ReconGroups](
	[ReconGroupID] [int] IDENTITY(1,1) NOT NULL,
	[PeriodID] [int] NOT NULL,
	[DialogID] [int] NULL,
	[ReconGroupName] [nvarchar](50) NULL,
	[Description] [nvarchar](256) NULL,
	[Instruction] [nvarchar](1024) NULL,
	[ClassPattern] [nvarchar](30) NULL,
	[ClassDescription] [nvarchar](256) NULL,
	[GroupPattern] [nvarchar](30) NULL,
	[GroupDescription] [nvarchar](256) NULL,
	[Preparer] [nvarchar](max) NULL,
	[Approver] [nvarchar](max) NULL,
	[ReconGroupType] [tinyint] NOT NULL,
	[Status] [tinyint] NOT NULL,
	[AccountingPeriod] [tinyint] NOT NULL,
	[RiskLevel] [tinyint] NOT NULL,
	[LReportedBalance] [decimal](20, 2) NULL,
	[LReportedSumOpenTrans] [decimal](20, 2) NULL,
	[BReportedBalance] [decimal](20, 2) NULL,
	[BReportedSumOpenTrans] [decimal](20, 2) NULL,
	[ReportedDate] [datetime] NULL,
	[Attached] [nvarchar](max) NULL,
	[EditingLockedByUser] [int] NULL,
	[InstructionsArchiveID] [int] NULL,
	[SelectedPeriods] [nvarchar](max) NULL,
	[DontReconZeroBalance] [bit] NULL,
	[LockedByUser] [int] NULL,
 CONSTRAINT [PK_ReconGroups] PRIMARY KEY CLUSTERED 
(
	[ReconGroupID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[RightsGroups]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[RightsGroups](
	[RightGroupID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[Description] [nvarchar](1024) NULL,
	[GroupType] [smallint] NOT NULL DEFAULT ((1)),
 CONSTRAINT [PK_RightsGroups] PRIMARY KEY CLUSTERED 
(
	[RightGroupID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Tasks]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Tasks](
	[TaskID] [int] IDENTITY(1,1) NOT NULL,
	[EntityID] [int] NULL,
	[PeriodID] [int] NULL,
	[IsPublic] [bit] NOT NULL,
	[Subject] [nvarchar](100) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[Comments] [nvarchar](max) NULL,
	[CreatedByUserID] [int] NOT NULL,
	[CreationDate] [datetime] NOT NULL,
	[TaskOwner] [smallint] NOT NULL,
	[StatusOwner] [nvarchar](max) NULL,
	[Priority] [smallint] NOT NULL,
	[AreRecurrent] [bit] NOT NULL,
	[Status] [smallint] NOT NULL,
	[StartDate] [datetime] NOT NULL,
	[EndDate] [datetime] NOT NULL,
	[TaskStartDay] [smallint] NOT NULL,
	[TaskLength] [smallint] NOT NULL,
	[TaskType] [smallint] NOT NULL,
	[MonthAfter] [bit] NOT NULL,
	[TaskSettings] [nvarchar](max) NULL,
	[EditingLockedByUser] [int] NULL,
 CONSTRAINT [PK_Tasks] PRIMARY KEY CLUSTERED 
(
	[TaskID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Users]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Users](
	[UserID] [int] IDENTITY(1,1) NOT NULL,
	[UserName] [nvarchar](50) NOT NULL,
	[Password] [nvarchar](50) NULL,
	[Title] [nvarchar](8) NULL,
	[FirstName] [nvarchar](50) NULL,
	[MiddleName] [nvarchar](50) NULL,
	[LastName] [nvarchar](50) NULL,
	[Suffix] [nvarchar](10) NULL,
	[EmailAdress] [nvarchar](256) NULL,
	[Image] [image] NULL,
	[ImageAdress] [text] NULL,
	[Activated] [bit] NOT NULL CONSTRAINT [DF_Users_Activated]  DEFAULT ((1)),
	[WinAut] [bit] NOT NULL CONSTRAINT [DF_Users_WindAuthentication]  DEFAULT ((0)),
	[History] [nvarchar](max) NULL,
	[Rights] [nvarchar](max) NULL,
	[LastLogin] [datetime] NULL,
	[IsLogged] [bit] NULL,
	[LanguageID] [int] NOT NULL,
	[UserRights] [tinyint] NOT NULL,
	[DocumentRights] [nvarchar](max) NULL,
	[UserGroups] [nvarchar](max) NULL,
 CONSTRAINT [PK_Users] PRIMARY KEY CLUSTERED 
(
	[UserID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Workflows]    Script Date: 2016-01-25 12:15:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Workflows](
	[WorkflowID] [int] IDENTITY(1,1) NOT NULL,
	[Settings] [nvarchar](max) NOT NULL,
	[WorflowName] [nvarchar](50) NOT NULL,
	[Info] [nvarchar](256) NULL,
 CONSTRAINT [PK_Workflows] PRIMARY KEY CLUSTERED 
(
	[WorkflowID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Account', N'Account', 1, 1)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Period', N'Period', 0, 2)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Date1', N'Date', 1, 3)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Date2', N'Date2', 0, 4)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'RefType', N'RefType', 0, 5)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Ref', N'Referens', 1, 6)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Amount', N'Amount', 1, 7)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Text', N'Text', 1, 8)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Notes', N'Notes', 1, 9)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra1', N'Extra1', 0, 10)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra2', N'Extra2', 0, 11)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra3', N'Extra3', 0, 12)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra4', N'Extra4', 0, 13)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra5', N'Extra5', 0, 14)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra6', N'Extra6', 0, 15)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra7', N'Extra7', 0, 16)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra8', N'Extra8', 0, 17)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra9', N'Extra9', 0, 18)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Account', N'Konto', 1, 1)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Period', N'Period', 0, 2)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Date1', N'Datum', 1, 3)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Date2', N'Datum2', 0, 4)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'RefType', N'RefTyp', 0, 5)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Ref', N'Referens', 1, 6)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Amount', N'Belopp', 1, 7)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Text', N'Text', 1, 8)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Notes', N'Anteckningar', 1, 9)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra1', N'Extra1', 0, 10)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra2', N'Extra2', 0, 11)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra3', N'Extra3', 0, 12)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra4', N'Extra4', 0, 13)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra5', N'Extra5', 0, 14)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra6', N'Extra6', 0, 15)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra7', N'Extra7', 0, 16)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra8', N'Extra8', 0, 17)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra9', N'Extra9', 0, 18)
GO
SET IDENTITY_INSERT [dbo].[Currency] ON 

GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (1, N'AED', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (2, N'AFN', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (3, N'ALL', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (4, N'AMD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (5, N'ANG', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (6, N'AOA', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (7, N'ARS', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (8, N'AUD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (9, N'AWG', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (10, N'AZN', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (11, N'BAM', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (12, N'BBD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (13, N'BDT', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (14, N'BGN', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (15, N'BHD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (16, N'BIF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (17, N'BMD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (18, N'BND', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (19, N'BOB', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (20, N'BOV', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (21, N'BRL', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (22, N'BSD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (23, N'BTN', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (24, N'BWP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (25, N'BYR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (26, N'BZD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (27, N'CAD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (28, N'CDF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (29, N'CHE', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (30, N'CHF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (31, N'CHW', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (32, N'CLF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (33, N'CLP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (34, N'CNY', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (35, N'COP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (36, N'COU', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (37, N'CRC', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (38, N'CUC', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (39, N'CUP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (40, N'CVE', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (41, N'CZK', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (42, N'DJF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (43, N'DKK', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (44, N'DOP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (45, N'DZD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (46, N'EGP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (47, N'ERN', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (48, N'ETB', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (49, N'EUR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (50, N'FJD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (51, N'FKP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (52, N'GBP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (53, N'GEL', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (54, N'GHS', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (55, N'GIP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (56, N'GMD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (57, N'GNF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (58, N'GTQ', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (59, N'GYD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (60, N'HKD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (61, N'HNL', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (62, N'HRK', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (63, N'HTG', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (64, N'HUF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (65, N'IDR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (66, N'ILS', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (67, N'INR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (68, N'IQD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (69, N'IRR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (70, N'ISK', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (71, N'JMD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (72, N'JOD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (73, N'JPY', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (74, N'KES', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (75, N'KGS', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (76, N'KHR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (77, N'KMF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (78, N'KPW', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (79, N'KRW', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (80, N'KWD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (81, N'KYD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (82, N'KZT', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (83, N'LAK', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (84, N'LBP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (85, N'LKR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (86, N'LRD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (87, N'LSL', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (88, N'LTL', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (89, N'LVL', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (90, N'LYD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (91, N'MAD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (92, N'MDL', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (93, N'MGA', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (94, N'MKD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (95, N'MMK', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (96, N'MNT', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (97, N'MOP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (98, N'MRO', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (99, N'MUR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (100, N'MWK', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (101, N'MVR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (102, N'MXN', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (103, N'MXV', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (104, N'MYR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (105, N'MZN', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (106, N'NAD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (107, N'NGN', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (108, N'NIO', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (109, N'NOK', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (110, N'NPR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (111, N'NZD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (112, N'OMR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (113, N'PAB', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (114, N'PEN', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (115, N'PGK', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (116, N'PHP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (117, N'PKR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (118, N'PLN', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (119, N'PYG', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (120, N'QAR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (121, N'RON', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (122, N'RSD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (123, N'RUB', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (124, N'RWF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (125, N'SAR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (126, N'SBD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (127, N'SCR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (128, N'SDG', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (129, N'SEK', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (130, N'SGD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (131, N'SHP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (132, N'SLL', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (133, N'SOS', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (134, N'SRD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (135, N'SSP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (136, N'STD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (137, N'SYP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (138, N'SZL', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (139, N'THB', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (140, N'TJS', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (141, N'TMT', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (142, N'TND', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (143, N'TOP', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (144, N'TRY', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (145, N'TTD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (146, N'TWD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (147, N'TZS', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (148, N'UAH', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (149, N'UGX', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (150, N'USD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (151, N'USN', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (152, N'USS', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (153, N'UYI', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (154, N'UYU', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (155, N'UZS', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (156, N'VEF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (157, N'VND', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (158, N'WST', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (159, N'VUV', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (160, N'XAF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (161, N'XAG', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (162, N'XAU', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (163, N'XBA', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (164, N'XBB', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (165, N'XBC', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (166, N'XBD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (167, N'XCD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (168, N'XDR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (169, N'XFU', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (170, N'XOF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (171, N'XPD', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (172, N'XPF', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (173, N'XPT', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (174, N'XTS', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (175, N'XXX', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (176, N'YER', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (177, N'ZAR', NULL)
GO
INSERT [dbo].[Currency] ([CurrencyID], [Code], [Info]) VALUES (178, N'ZMW', NULL)
GO
SET IDENTITY_INSERT [dbo].[Currency] OFF
GO
INSERT [dbo].[GeneralSettings] ([GeneralSettingsID], [CompanyName], [Adress1], [Adress2], [ZipCode], [City], [License], [DBVersion], [EnableMainImportsPath], [EnableAutoImportsPaths], [MainImportsPath], [EnableMainArchivePaths], [CustomerNumber], [GlobalInfo], [PKSettings], [EnableArchivingMainPath], [ArchivingMainPath], [EnableArchiving], [PBSettings]) VALUES (1, N'Demo', NULL, NULL, NULL, NULL, NULL, 11, 0, 0, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL)
GO
SET IDENTITY_INSERT [dbo].[Language] ON 

GO
INSERT [dbo].[Language] ([LanguageID], [LanguageName], [LanguageCulture], [LanguageSettings]) VALUES (1, N'English', N'en', N'')
GO
INSERT [dbo].[Language] ([LanguageID], [LanguageName], [LanguageCulture], [LanguageSettings]) VALUES (2, N'Svenska', N'sv', N'')
GO
INSERT [dbo].[Language] ([LanguageID], [LanguageName], [LanguageCulture], [LanguageSettings]) VALUES (3, N'Dansk', N'da', N'')
GO
INSERT [dbo].[Language] ([LanguageID], [LanguageName], [LanguageCulture], [LanguageSettings]) VALUES (4, N'Norsk', N'no', N'')
GO
INSERT [dbo].[Language] ([LanguageID], [LanguageName], [LanguageCulture], [LanguageSettings]) VALUES (5, N'Suomi', N'fi', N'')
GO
SET IDENTITY_INSERT [dbo].[Language] OFF
GO
SET IDENTITY_INSERT [dbo].[RightsGroups] ON 

GO
INSERT [dbo].[RightsGroups] ([RightGroupID], [Name], [Description], [GroupType]) VALUES (1, N'Public', N'Documents with jurisdiction Public are available to all', 1)
GO
INSERT [dbo].[RightsGroups] ([RightGroupID], [Name], [Description], [GroupType]) VALUES (2, N'Executive', N'Documents with jurisdiction Executive is only available to those who are member', 1)
GO
SET IDENTITY_INSERT [dbo].[RightsGroups] OFF
GO
SET IDENTITY_INSERT [dbo].[Users] ON 

GO
INSERT [dbo].[Users] ([UserID], [UserName], [Password], [Title], [FirstName], [MiddleName], [LastName], [Suffix], [EmailAdress], [Image], [ImageAdress], [Activated], [WinAut], [History], [Rights], [LastLogin], [IsLogged], [LanguageID], [UserRights], [DocumentRights], [UserGroups]) VALUES (1, N'sysadmin', N'edOf6mOlBpw+ctaphydAFQ==', N'', N'', NULL, N'', NULL, N'', NULL, NULL, 1, 0, NULL, N'', NULL, 0, 1, 1, NULL, NULL)
GO
SET IDENTITY_INSERT [dbo].[Users] OFF
GO
SET IDENTITY_INSERT [dbo].[Workflows] ON 

GO
INSERT [dbo].[Workflows] ([WorkflowID], [Settings], [WorflowName], [Info]) VALUES (1, N'', N'None', NULL)
GO
SET IDENTITY_INSERT [dbo].[Workflows] OFF
GO
/****** Object:  Index [CurrencyID]    Script Date: 2016-01-25 12:15:55 ******/
CREATE NONCLUSTERED INDEX [CurrencyID] ON [dbo].[Accounts]
(
	[CurrencyID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [ReconGroupID]    Script Date: 2016-01-25 12:15:55 ******/
CREATE NONCLUSTERED INDEX [ReconGroupID] ON [dbo].[Accounts]
(
	[ReconGroupID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [DialogID]    Script Date: 2016-01-25 12:15:55 ******/
CREATE NONCLUSTERED INDEX [DialogID] ON [dbo].[Comments]
(
	[DialogID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [UserID]    Script Date: 2016-01-25 12:15:55 ******/
CREATE NONCLUSTERED INDEX [UserID] ON [dbo].[Comments]
(
	[UserID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [EntityID]    Script Date: 2016-01-25 12:15:55 ******/
CREATE NONCLUSTERED INDEX [EntityID] ON [dbo].[FiscalYear]
(
	[EntityID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [DialogID]    Script Date: 2016-01-25 12:15:55 ******/
CREATE NONCLUSTERED INDEX [DialogID] ON [dbo].[Periods]
(
	[DialogID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [FiscalYearID]    Script Date: 2016-01-25 12:15:55 ******/
CREATE NONCLUSTERED INDEX [FiscalYearID] ON [dbo].[Periods]
(
	[FiscalYearID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [WorkflowID]    Script Date: 2016-01-25 12:15:55 ******/
CREATE NONCLUSTERED INDEX [WorkflowID] ON [dbo].[Periods]
(
	[WorkflowID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [DialogID]    Script Date: 2016-01-25 12:15:55 ******/
CREATE NONCLUSTERED INDEX [DialogID] ON [dbo].[ReconGroups]
(
	[DialogID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [PeriodID]    Script Date: 2016-01-25 12:15:55 ******/
CREATE NONCLUSTERED INDEX [PeriodID] ON [dbo].[ReconGroups]
(
	[PeriodID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
ALTER TABLE [dbo].[Archiving] ADD  CONSTRAINT [DF_Archiving_ArchivingDate]  DEFAULT (getdate()) FOR [ArchivingDate]
GO
ALTER TABLE [dbo].[Comments] ADD  CONSTRAINT [DF_Comments_RegDate]  DEFAULT (getdate()) FOR [CommentDate]
GO
ALTER TABLE [dbo].[DBLog] ADD  CONSTRAINT [DF_Table_1_Date]  DEFAULT (getdate()) FOR [LogDate]
GO
ALTER TABLE [dbo].[ImportInterfaces] ADD  CONSTRAINT [DF_ImportInterfaces_ModifiedDate]  DEFAULT (getdate()) FOR [ModifiedDate]
GO
ALTER TABLE [dbo].[Accounts]  WITH CHECK ADD  CONSTRAINT [FK_Accounts_Currency] FOREIGN KEY([CurrencyID])
REFERENCES [dbo].[Currency] ([CurrencyID])
GO
ALTER TABLE [dbo].[Accounts] CHECK CONSTRAINT [FK_Accounts_Currency]
GO
ALTER TABLE [dbo].[Accounts]  WITH CHECK ADD  CONSTRAINT [FK_Accounts_ReconGroups] FOREIGN KEY([ReconGroupID])
REFERENCES [dbo].[ReconGroups] ([ReconGroupID])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[Accounts] CHECK CONSTRAINT [FK_Accounts_ReconGroups]
GO
ALTER TABLE [dbo].[Archiving]  WITH CHECK ADD  CONSTRAINT [FK_Archiving_RightsGroups] FOREIGN KEY([RightGroupID])
REFERENCES [dbo].[RightsGroups] ([RightGroupID])
GO
ALTER TABLE [dbo].[Archiving] CHECK CONSTRAINT [FK_Archiving_RightsGroups]
GO
ALTER TABLE [dbo].[Comments]  WITH CHECK ADD  CONSTRAINT [FK_Comments_Dialogs] FOREIGN KEY([DialogID])
REFERENCES [dbo].[Dialogs] ([DialogID])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[Comments] CHECK CONSTRAINT [FK_Comments_Dialogs]
GO
ALTER TABLE [dbo].[Comments]  WITH CHECK ADD  CONSTRAINT [FK_Comments_Users] FOREIGN KEY([UserID])
REFERENCES [dbo].[Users] ([UserID])
GO
ALTER TABLE [dbo].[Comments] CHECK CONSTRAINT [FK_Comments_Users]
GO
ALTER TABLE [dbo].[FiscalYear]  WITH CHECK ADD  CONSTRAINT [FK_FiscalYear_Entities] FOREIGN KEY([EntityID])
REFERENCES [dbo].[Entities] ([EntityID])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[FiscalYear] CHECK CONSTRAINT [FK_FiscalYear_Entities]
GO
ALTER TABLE [dbo].[Periods]  WITH CHECK ADD  CONSTRAINT [FK_Periods_Dialogs] FOREIGN KEY([DialogID])
REFERENCES [dbo].[Dialogs] ([DialogID])
GO
ALTER TABLE [dbo].[Periods] CHECK CONSTRAINT [FK_Periods_Dialogs]
GO
ALTER TABLE [dbo].[Periods]  WITH CHECK ADD  CONSTRAINT [FK_Periods_FiscalYear] FOREIGN KEY([FiscalYearID])
REFERENCES [dbo].[FiscalYear] ([FiscalYearID])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[Periods] CHECK CONSTRAINT [FK_Periods_FiscalYear]
GO
ALTER TABLE [dbo].[Periods]  WITH CHECK ADD  CONSTRAINT [FK_Periods_Workflows] FOREIGN KEY([WorkflowID])
REFERENCES [dbo].[Workflows] ([WorkflowID])
GO
ALTER TABLE [dbo].[Periods] CHECK CONSTRAINT [FK_Periods_Workflows]
GO
ALTER TABLE [dbo].[ReconGroups]  WITH CHECK ADD  CONSTRAINT [FK_ReconGroups_Dialogs] FOREIGN KEY([DialogID])
REFERENCES [dbo].[Dialogs] ([DialogID])
GO
ALTER TABLE [dbo].[ReconGroups] CHECK CONSTRAINT [FK_ReconGroups_Dialogs]
GO
ALTER TABLE [dbo].[ReconGroups]  WITH CHECK ADD  CONSTRAINT [FK_ReconGroups_Periods] FOREIGN KEY([PeriodID])
REFERENCES [dbo].[Periods] ([PeriodID])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[ReconGroups] CHECK CONSTRAINT [FK_ReconGroups_Periods]
GO
ALTER TABLE [dbo].[Tasks]  WITH CHECK ADD  CONSTRAINT [FK_Tasks_Entities] FOREIGN KEY([EntityID])
REFERENCES [dbo].[Entities] ([EntityID])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[Tasks] CHECK CONSTRAINT [FK_Tasks_Entities]
GO
ALTER TABLE [dbo].[Users]  WITH CHECK ADD  CONSTRAINT [FK_Users_Language] FOREIGN KEY([LanguageID])
REFERENCES [dbo].[Language] ([LanguageID])
GO
ALTER TABLE [dbo].[Users] CHECK CONSTRAINT [FK_Users_Language]
GO
USE [master]
GO
ALTER DATABASE [PrickaBokslut] SET  READ_WRITE 
GO


/************************Create Users*********************************/
USE [PrickaBokslut]
CREATE LOGIN PBSys
WITH PASSWORD = 'PBSys',
DEFAULT_DATABASE = [PrickaBokslut], CHECK_POLICY=OFF;

CREATE LOGIN PBUser
WITH PASSWORD = 'PBUser',
DEFAULT_DATABASE = [PrickaBokslut], CHECK_POLICY=OFF;

CREATE USER [PBSys] FOR LOGIN [PBSys] WITH DEFAULT_SCHEMA=[dbo]
GO

CREATE USER [PBUser] FOR LOGIN [PBUser] WITH DEFAULT_SCHEMA=[dbo]
GO
sys.sp_addrolemember @rolename = N'db_owner', @membername = N'PBSys'
GO
sys.sp_addrolemember @rolename = N'db_datareader', @membername = N'PBUser'
GO
sys.sp_addrolemember @rolename = N'db_datawriter', @membername = N'PBUser'
GO
/*********************************************************************/

/************************************************* UPDATE DB 12 **************************************************/
USE PrickaBokslut
GO
UPDATE GeneralSettings SET DBVersion = 12 WHERE DBVersion < 12
GO
/****** Object:  Table [dbo].[CurrencyRates]    Script Date: 2016-01-27 07:32:28 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[CurrencyRates](
	[CurrencyRateID] [int] IDENTITY(1,1) NOT NULL,
	[PeriodID] [int] NOT NULL,
	[CurrencyID] [int] NOT NULL,
	[Rate] [decimal](19, 9) NOT NULL,
 CONSTRAINT [PK_ConversionRates] PRIMARY KEY CLUSTERED 
(
	[CurrencyRateID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CurrencyRates]  WITH CHECK ADD  CONSTRAINT [FK_CurrencyRates_Currency] FOREIGN KEY([CurrencyID])
REFERENCES [dbo].[Currency] ([CurrencyID])
GO

ALTER TABLE [dbo].[CurrencyRates] CHECK CONSTRAINT [FK_CurrencyRates_Currency]
GO

ALTER TABLE [dbo].[CurrencyRates]  WITH CHECK ADD  CONSTRAINT [FK_CurrencyRates_Periods] FOREIGN KEY([PeriodID])
REFERENCES [dbo].[Periods] ([PeriodID])
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[CurrencyRates] CHECK CONSTRAINT [FK_CurrencyRates_Periods]
GO
/****** Object:  Index [PeriodID]    Script Date: 2016-01-28 07:20:49 ******/
CREATE NONCLUSTERED INDEX [PeriodID] ON [dbo].[CurrencyRates]
(
	[PeriodID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
GO
/**************************************************************************************/

ALTER TABLE [dbo].[ReconGroups] ADD [CurrencyID] [int] NULL
GO

ALTER TABLE [dbo].[Entities]  WITH CHECK ADD  CONSTRAINT [FK_Entities_Currency] FOREIGN KEY([DefaultCurrency])
REFERENCES [dbo].[Currency] ([CurrencyID])
GO

ALTER TABLE [dbo].[Entities] CHECK CONSTRAINT [FK_Entities_Currency]
GO

/************************************************ END UPDATE DB 12 ***********************************************/
/************************************************* UPDATE TO DB 13 **************************************************/
UPDATE [dbo].[GeneralSettings] SET DBVersion = 13 WHERE DBVersion = 12
ALTER TABLE [dbo].[GeneralSettings] ADD [Reseller] [smallint] NOT NULL DEFAULT 0

/****** Object:  Table [dbo].[Schedules]    Script Date: 2016-04-14 08:31:32 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Schedules](
	[ScheduleID] [int] IDENTITY(1,1) NOT NULL,
	[EntityID] [int] NOT NULL,
	[PeriodNr] [int] NULL,
	[Name] [nvarchar](256) NOT NULL,
	[PeriodStartDay] [smallint] NOT NULL,
	[PeriodEndDay] [smallint] NOT NULL,
	[MonthAfter] [bit] NOT NULL,
	[SendDisapproved] [bit] NOT NULL,
	[SendBalanceChanges] [bit] NOT NULL,
	[EndDayPrio1] [smallint] NOT NULL,
	[EndDayPrio2] [smallint] NOT NULL,
	[EndDayPrio3] [smallint] NOT NULL,
	[EndDayPrio4] [smallint] NOT NULL,
	[EndDayPrio5] [smallint] NOT NULL
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[Schedules]  WITH CHECK ADD  CONSTRAINT [FK_Schedules_Entities] FOREIGN KEY([EntityID])
REFERENCES [dbo].[Entities] ([EntityID])
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[Schedules] CHECK CONSTRAINT [FK_Schedules_Entities]
GO


/****** Object:  Table [dbo].[Mail]    Script Date: 2016-05-30 11:02:57 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Mail](
	[MailID] [bigint] IDENTITY(1,1) NOT NULL,
	[Subject] [nvarchar](256) NOT NULL,
	[Body] [nvarchar](max) NOT NULL,
	[BodyFormat] [nvarchar](10) NOT NULL,
	[MailReciver] [nvarchar](max) NOT NULL,
	[Importance] [nvarchar](10) NOT NULL,
	[CreationDate] [datetime] NOT NULL CONSTRAINT [DF_Mail_CreationDate]  DEFAULT (getdate()),
	[CreationUserID] [int] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
ALTER TABLE [dbo].[ReconGroups] ADD [PriorityLevel] [tinyint] NULL
GO
ALTER TABLE [dbo].[ReconGroups] ADD [FourEyesPrinciple] [bit] NULL
GO
ALTER TABLE [dbo].[ReconGroups] ADD [Filter] [nvarchar] (256) NULL
GO
ALTER TABLE [dbo].[Periods] ADD [ScheduleID] [int] NULL
GO
ALTER TABLE [dbo].[GeneralSettings] ADD [UseSameSchedulesAllEntities] [bit] NOT NULL DEFAULT 0
GO
ALTER TABLE [dbo].[Archiving] ADD [ArchivingOwner] [int] NULL
GO

IF NOT EXISTS (SELECT 1 FROM dbo.Schedules)
BEGIN

DECLARE @LoopCounter INT , @MaxntityIDId INT, @EntityID INT
SELECT @LoopCounter = min(EntityID) , @MaxntityIDId = max(EntityID) 
FROM Entities
 
WHILE ( @LoopCounter IS NOT NULL
        AND  @LoopCounter <= @MaxntityIDId)
BEGIN
   SELECT @EntityID = EntityID FROM Entities 
   WHERE EntityID = @LoopCounter
   
INSERT [dbo].[Schedules] ([EntityID], [PeriodNr], [Name], [PeriodStartDay], [PeriodEndDay], [MonthAfter], [SendDisapproved], [SendBalanceChanges], [EndDayPrio1], [EndDayPrio2], [EndDayPrio3], [EndDayPrio4], [EndDayPrio5]) 
VALUES (@EntityID, 1, N'01', 1, 10, 1, 1, 1, 3, 4, 5, 6, 8)
INSERT [dbo].[Schedules] ([EntityID], [PeriodNr], [Name], [PeriodStartDay], [PeriodEndDay], [MonthAfter], [SendDisapproved], [SendBalanceChanges], [EndDayPrio1], [EndDayPrio2], [EndDayPrio3], [EndDayPrio4], [EndDayPrio5]) 
VALUES (@EntityID, 2, N'02', 1, 10, 1, 1, 1, 3, 4, 5, 6, 8)
INSERT [dbo].[Schedules] ([EntityID], [PeriodNr], [Name], [PeriodStartDay], [PeriodEndDay], [MonthAfter], [SendDisapproved], [SendBalanceChanges], [EndDayPrio1], [EndDayPrio2], [EndDayPrio3], [EndDayPrio4], [EndDayPrio5]) 
VALUES (@EntityID, 3, N'03', 1, 10, 1, 1, 1, 3, 4, 5, 6, 8)
INSERT [dbo].[Schedules] ([EntityID], [PeriodNr], [Name], [PeriodStartDay], [PeriodEndDay], [MonthAfter], [SendDisapproved], [SendBalanceChanges], [EndDayPrio1], [EndDayPrio2], [EndDayPrio3], [EndDayPrio4], [EndDayPrio5]) 
VALUES (@EntityID, 4, N'04', 1, 10, 1, 1, 1, 3, 4, 5, 6, 8)
INSERT [dbo].[Schedules] ([EntityID], [PeriodNr], [Name], [PeriodStartDay], [PeriodEndDay], [MonthAfter], [SendDisapproved], [SendBalanceChanges], [EndDayPrio1], [EndDayPrio2], [EndDayPrio3], [EndDayPrio4], [EndDayPrio5]) 
VALUES (@EntityID, 5, N'05', 1, 10, 1, 1, 1, 3, 4, 5, 6, 8)
INSERT [dbo].[Schedules] ([EntityID], [PeriodNr], [Name], [PeriodStartDay], [PeriodEndDay], [MonthAfter], [SendDisapproved], [SendBalanceChanges], [EndDayPrio1], [EndDayPrio2], [EndDayPrio3], [EndDayPrio4], [EndDayPrio5]) 
VALUES (@EntityID, 6, N'06', 1, 10, 1, 1, 1, 3, 4, 5, 6, 8)
INSERT [dbo].[Schedules] ([EntityID], [PeriodNr], [Name], [PeriodStartDay], [PeriodEndDay], [MonthAfter], [SendDisapproved], [SendBalanceChanges], [EndDayPrio1], [EndDayPrio2], [EndDayPrio3], [EndDayPrio4], [EndDayPrio5]) 
VALUES (@EntityID, 7, N'07', 1, 10, 1, 1, 1, 3, 4, 5, 6, 8)
INSERT [dbo].[Schedules] ([EntityID], [PeriodNr], [Name], [PeriodStartDay], [PeriodEndDay], [MonthAfter], [SendDisapproved], [SendBalanceChanges], [EndDayPrio1], [EndDayPrio2], [EndDayPrio3], [EndDayPrio4], [EndDayPrio5]) 
VALUES (@EntityID, 8, N'08', 1, 10, 1, 1, 1, 3, 4, 5, 6, 8)
INSERT [dbo].[Schedules] ([EntityID], [PeriodNr], [Name], [PeriodStartDay], [PeriodEndDay], [MonthAfter], [SendDisapproved], [SendBalanceChanges], [EndDayPrio1], [EndDayPrio2], [EndDayPrio3], [EndDayPrio4], [EndDayPrio5]) 
VALUES (@EntityID, 9, N'09', 1, 10, 1, 1, 1, 3, 4, 5, 6, 8)
INSERT [dbo].[Schedules] ([EntityID], [PeriodNr], [Name], [PeriodStartDay], [PeriodEndDay], [MonthAfter], [SendDisapproved], [SendBalanceChanges], [EndDayPrio1], [EndDayPrio2], [EndDayPrio3], [EndDayPrio4], [EndDayPrio5]) 
VALUES (@EntityID, 10, N'10', 1, 10, 1, 1, 1, 3, 4, 5, 6, 8)
INSERT [dbo].[Schedules] ([EntityID], [PeriodNr], [Name], [PeriodStartDay], [PeriodEndDay], [MonthAfter], [SendDisapproved], [SendBalanceChanges], [EndDayPrio1], [EndDayPrio2], [EndDayPrio3], [EndDayPrio4], [EndDayPrio5]) 
VALUES (@EntityID, 11, N'11', 1, 10, 1, 1, 1, 3, 4, 5, 6, 8)
INSERT [dbo].[Schedules] ([EntityID], [PeriodNr], [Name], [PeriodStartDay], [PeriodEndDay], [MonthAfter], [SendDisapproved], [SendBalanceChanges], [EndDayPrio1], [EndDayPrio2], [EndDayPrio3], [EndDayPrio4], [EndDayPrio5]) 
VALUES (@EntityID, 12, N'12', 1, 10, 1, 1, 1, 3, 4, 5, 6, 8)

   PRINT @EntityID  
  
   SELECT @LoopCounter = min(EntityID) FROM Entities
   WHERE EntityID > @LoopCounter
END

END
GO

/****** Object:  StoredProcedure [dbo].[PBSendMail]    Script Date: 2016-05-31 12:58:35 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

-- =============================================
-- Author:		<Pricka AB>
-- Create date: <2016-08-16>
-- Description:	<Sending mail from dbo.mail>
-- =============================================
CREATE PROCEDURE [dbo].[PBSendMail] 
AS
BEGIN
	SET NOCOUNT ON;
DECLARE @MailReciver NVARCHAR(MAX), @Subject NVARCHAR(256), @Body NVARCHAR(MAX), @BodyFormat NVARCHAR(10), @Importance NVARCHAR(10)
DECLARE @MailID INT, @Max_ID INT

SELECT @MailID = MIN(MailID), @Max_ID = MAX(MailID) FROM dbo.Mail

WHILE @MailID <= @Max_ID
 BEGIN
    SELECT 
	@MailReciver = MailReciver,
	@Subject = [Subject],
	@Body = Body,
	@BodyFormat = BodyFormat,
	@Importance = Importance
    FROM dbo.Mail
	WHERE MailID = @MailID
	
	IF @MailReciver IS NOT NULL
	BEGIN
	EXEC msdb.dbo.sp_send_dbmail 
         @profile_name = 'PrickaBokslutProfile',
         @recipients = @MailReciver,
         @from_address = '',
         @reply_to = '',
         @subject = @Subject,
         @body = @Body,
         @body_format = @BodyFormat,
         @importance = @Importance;
        PRINT 'Mail sent: ' + CAST(@MailID AS NVARCHAR(30))
	 END
   ELSE
     BEGIN
        PRINT 'Mail not sent'
     END

	 SELECT @MailID = MIN(MailID) FROM dbo.Mail WHERE MailID > @MailID
 END
 DELETE FROM dbo.Mail
END
GO
/************************************************ END UPDATE DB 13 ***********************************************/
/************************************************* UPDATE TO DB 14 **************************************************/
UPDATE [dbo].[GeneralSettings] SET DBVersion = 14 WHERE DBVersion = 13
GO
ALTER TABLE [dbo].[ReconGroups] ADD [Settings] [nvarchar](max) NULL
GO
ALTER TABLE [dbo].[ReconGroups] ADD [RGSettingsID] [int] NULL
GO
CREATE TABLE [dbo].[RGSettings](
	[RGSettingsID] [int] IDENTITY(1,1) NOT NULL,
	[SettingsName] [nvarchar](256) NOT NULL,
	[Settings] [nvarchar](max) NOT NULL,
 CONSTRAINT [PK_RGSettings] PRIMARY KEY CLUSTERED 
(
	[RGSettingsID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
ALTER TABLE [dbo].[Users] ADD [AbsenceActivated] [bit] NULL
GO
ALTER TABLE [dbo].[Users] ADD [AbsenceStartDate] [datetime] NULL
GO
ALTER TABLE [dbo].[Users] ADD [AbsenceEndDate] [datetime] NULL
GO
ALTER TABLE [dbo].[Users] ADD [AbsenceMessage] [nvarchar](max) NULL
GO
CREATE TABLE [dbo].[AbsenceSubstitute](
	[UserID] [int] NOT NULL,
	[SubstituteUserID] [int] NOT NULL
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[AbsenceSubstitute]  WITH CHECK ADD  CONSTRAINT [FK_AbsenceSubstitute_Users] FOREIGN KEY([UserID])
REFERENCES [dbo].[Users] ([UserID])
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[AbsenceSubstitute] CHECK CONSTRAINT [FK_AbsenceSubstitute_Users]
GO
ALTER TABLE [dbo].[Tasks] ADD [Filter] [nvarchar](256) NULL
GO
ALTER TABLE [dbo].[Tasks] ADD [Archive] [bit] NULL
GO
ALTER TABLE [dbo].[Tasks] ADD [PriorityLevel] [tinyint] NULL
GO
ALTER TABLE [dbo].[Tasks] ADD [ExecutorAttached] [nvarchar](max) NULL
GO
/****** Object:  Table [dbo].[Calendars]    Script Date: 2017-01-27 10:38:34 ******/
CREATE TABLE [dbo].[Calendars](
	[CalendarID] [int] IDENTITY(1,1) NOT NULL,
	[UpdateDate] [datetime] NOT NULL,
	[Name] [nvarchar](256) NOT NULL,
	[Custom] [bit] NOT NULL,
	[Country] [nvarchar](256) NULL,
	[CountryCode] [nvarchar](10) NULL,
	[Region] [nvarchar](256) NULL,
	[PublicHolidaysXML] [nvarchar](max) NOT NULL,
	[ICSFile] [nvarchar](max) NULL,
 CONSTRAINT [PK_Calendars] PRIMARY KEY CLUSTERED 
(
	[CalendarID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[Calendars] ADD  CONSTRAINT [DF_Calendars_ArchivingDate]  DEFAULT (getdate()) FOR [UpdateDate]
GO
GO
ALTER TABLE [dbo].[Entities] ADD [CalendarID] [int] NULL
GO
ALTER TABLE [dbo].[ReconGroups] ADD [CopyFromPrevious] [bit] NULL
GO
ALTER TABLE [dbo].[Tasks] ADD [LastUpdated] [datetime] NULL
GO
/************************************************ END UPDATE TO DB 14 ***********************************************/

/************************************************* UPDATE TO DB 15 **************************************************/
UPDATE [dbo].[GeneralSettings] SET DBVersion = 15 WHERE DBVersion = 14
GO
ALTER TABLE [dbo].[ReconGroups] ALTER COLUMN [Description] NVARCHAR(max)
ALTER TABLE [dbo].[ReconGroups] ADD [LastModifiedUserID] [int] NULL
ALTER TABLE [dbo].[ReconGroups] ADD [LastModifiedDate] [datetime] NULL
ALTER TABLE [dbo].[ReconGroups] ADD [PKECType] [smallint] NULL
ALTER TABLE [dbo].[ReconGroups] ADD [PKReadMethod] [smallint] NULL
ALTER TABLE [dbo].[ImportInterfaces] ADD [ResetNotImportedAccounts] [bit] NULL
ALTER TABLE [dbo].[ImportInterfaces] ADD [AutoGenerateParameterValues] [bit] NULL


ALTER TABLE [dbo].[Tasks] ADD [LastModifiedUserID] [int] NULL
EXEC SP_RENAME 'Tasks.LastUpdated', 'LastModifiedDate' , 'COLUMN';
GO
DELETE FROM ColumnsSettings
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Flag', N'', 1, 1)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Account', N'Account', 1, 2)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Period', N'Period', 0, 3)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Date1', N'Date1', 1, 4)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Date2', N'Date2', 0, 5)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'RefType', N'RefType', 1, 6)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Ref', N'Referens', 1, 7)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Amount', N'Amount', 1, 8)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'RSelect', N'', 1, 9)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Text', N'Text', 1, 10)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Notes', N'Notes', 1, 11)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra1', N'Extra1', 0, 12)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra2', N'Extra2', 0, 13)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra3', N'Extra3', 0, 14)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra4', N'Extra4', 0, 15)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra5', N'Extra5', 0, 16)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra6', N'Extra6', 0, 17)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra7', N'Extra7', 0, 18)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra8', N'Extra8', 0, 19)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra9', N'Extra9', 0, 20)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'ReconID', N'Recon ID', 1, 21)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'ReconDate', N'ReconDate', 1, 22)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'UserName', N'User', 1, 23)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Flag', N'', 1, 1)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Account', N'Konto', 1, 2)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Period', N'Period', 0, 3)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Date1', N'Datum1', 1, 4)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Date2', N'Datum2', 0, 5)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'RefType', N'RefTyp', 1, 6)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Ref', N'Referens', 1, 7)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Amount', N'Belopp', 1, 8)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'RSelect', N'', 1, 9)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Text', N'Text', 1, 10)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Notes', N'Anteckningar', 1, 11)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra1', N'Extra1', 0, 12)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra2', N'Extra2', 0, 13)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra3', N'Extra3', 0, 14)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra4', N'Extra4', 0, 15)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra5', N'Extra5', 0, 16)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra6', N'Extra6', 0, 17)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra7', N'Extra7', 0, 18)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra8', N'Extra8', 0, 19)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra9', N'Extra9', 0, 20)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'ReconID', N'AvstmningsID', 1, 21)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'ReconDate', N'AvstmningsDatum', 1, 22)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'UserName', N'Anvndare', 1, 23)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Flag', N'', 1, 1)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Account', N'Account', 1, 2)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Period', N'Period', 0, 3)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Date1', N'Date1', 1, 4)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Date2', N'Date2', 0, 5)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'RefType', N'RefType', 1, 6)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Ref', N'Referens', 1, 7)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Amount', N'Amount', 1, 8)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'RSelect', N'', 1, 9)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Text', N'Text', 1, 10)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Notes', N'Notes', 1, 11)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra1', N'Extra1', 0, 12)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra2', N'Extra2', 0, 13)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra3', N'Extra3', 0, 14)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra4', N'Extra4', 0, 15)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra5', N'Extra5', 0, 16)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra6', N'Extra6', 0, 17)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra7', N'Extra7', 0, 18)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra8', N'Extra8', 0, 19)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra9', N'Extra9', 0, 20)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'ReconID', N'Recon ID', 1, 21)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'ReconDate', N'ReconDate', 1, 22)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'UserName', N'User', 1, 23)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Flag', N'', 1, 1)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Account', N'Konto', 1, 2)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Period', N'Periode', 0, 3)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Date1', N'Dato1', 1, 4)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Date2', N'Dato2', 0, 5)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'RefType', N'ReferanseType', 1, 6)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Ref', N'Referanse', 1, 7)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Amount', N'Belp', 1, 8)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'RSelect', N'', 1, 9)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Text', N'Tekst', 1, 10)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Notes', N'Notater', 1, 11)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra1', N'Ekstra1', 0, 12)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra2', N'Ekstra2', 0, 13)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra3', N'Ekstra3', 0, 14)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra4', N'Ekstra4', 0, 15)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra5', N'Ekstra5', 0, 16)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra6', N'Ekstra6', 0, 17)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra7', N'Ekstra7', 0, 18)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra8', N'Ekstra8', 0, 19)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra9', N'Ekstra9', 0, 20)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'ReconID', N'AvstemmingsID', 1, 21)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'ReconDate', N'AvstemmingsDato', 1, 22)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'UserName', N'Brukere', 1, 23)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Flag', N'', 1, 1)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Account', N'Account', 1, 2)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Period', N'Period', 0, 3)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Date1', N'Date1', 1, 4)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Date2', N'Date2', 0, 5)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'RefType', N'RefType', 1, 6)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Ref', N'Referens', 1, 7)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Amount', N'Amount', 1, 8)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'RSelect', N'', 1, 9)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Text', N'Text', 1, 10)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Notes', N'Notes', 1, 11)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra1', N'Extra1', 0, 12)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra2', N'Extra2', 0, 13)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra3', N'Extra3', 0, 14)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra4', N'Extra4', 0, 15)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra5', N'Extra5', 0, 16)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra6', N'Extra6', 0, 17)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra7', N'Extra7', 0, 18)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra8', N'Extra8', 0, 19)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra9', N'Extra9', 0, 20)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'ReconID', N'Recon ID', 1, 21)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'ReconDate', N'ReconDate', 1, 22)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'UserName', N'User', 1, 23)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Amount2', N'Amount2', 0, 24)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra10', N'Extra10', 0, 25)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra11', N'Extra11', 0, 26)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra12', N'Extra12', 0, 27)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra13', N'Extra13', 0, 28)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra14', N'Extra14', 0, 29)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra15', N'Extra15', 0, 30)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra16', N'Extra16', 0, 31)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra17', N'Extra17', 0, 32)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra18', N'Extra18', 0, 33)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra19', N'Extra19', 0, 34)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra20', N'Extra20', 0, 35)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra21', N'Extra21', 0, 36)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra22', N'Extra22', 0, 37)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra23', N'Extra23', 0, 38)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra24', N'Extra24', 0, 39)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra25', N'Extra25', 0, 40)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra26', N'Extra26', 0, 41)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra27', N'Extra27', 0, 42)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra28', N'Extra28', 0, 43)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra29', N'Extra29', 0, 44)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (1, N'Default_en', N'Extra30', N'Extra30', 0, 45)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Amount2', N'Amount2', 0, 24)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra10', N'Extra10', 0, 25)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra11', N'Extra11', 0, 26)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra12', N'Extra12', 0, 27)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra13', N'Extra13', 0, 28)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra14', N'Extra14', 0, 29)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra15', N'Extra15', 0, 30)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra16', N'Extra16', 0, 31)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra17', N'Extra17', 0, 32)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra18', N'Extra18', 0, 33)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra19', N'Extra19', 0, 34)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra20', N'Extra20', 0, 35)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra21', N'Extra21', 0, 36)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra22', N'Extra22', 0, 37)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra23', N'Extra23', 0, 38)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra24', N'Extra24', 0, 39)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra25', N'Extra25', 0, 40)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra26', N'Extra26', 0, 41)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra27', N'Extra27', 0, 42)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra28', N'Extra28', 0, 43)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra29', N'Extra29', 0, 44)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (2, N'Default_sv', N'Extra30', N'Extra30', 0, 45)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Amount2', N'Amount2', 0, 24)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra10', N'Extra10', 0, 25)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra11', N'Extra11', 0, 26)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra12', N'Extra12', 0, 27)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra13', N'Extra13', 0, 28)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra14', N'Extra14', 0, 29)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra15', N'Extra15', 0, 30)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra16', N'Extra16', 0, 31)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra17', N'Extra17', 0, 32)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra18', N'Extra18', 0, 33)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra19', N'Extra19', 0, 34)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra20', N'Extra20', 0, 35)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra21', N'Extra21', 0, 36)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra22', N'Extra22', 0, 37)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra23', N'Extra23', 0, 38)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra24', N'Extra24', 0, 39)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra25', N'Extra25', 0, 40)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra26', N'Extra26', 0, 41)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra27', N'Extra27', 0, 42)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra28', N'Extra28', 0, 43)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra29', N'Extra29', 0, 44)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (3, N'Default_dk', N'Extra30', N'Extra30', 0, 45)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Amount2', N'Amount2', 0, 24)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra10', N'Extra10', 0, 25)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra11', N'Extra11', 0, 26)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra12', N'Extra12', 0, 27)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra13', N'Extra13', 0, 28)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra14', N'Extra14', 0, 29)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra15', N'Extra15', 0, 30)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra16', N'Extra16', 0, 31)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra17', N'Extra17', 0, 32)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra18', N'Extra18', 0, 33)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra19', N'Extra19', 0, 34)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra20', N'Extra20', 0, 35)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra21', N'Extra21', 0, 36)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra22', N'Extra22', 0, 37)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra23', N'Extra23', 0, 38)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra24', N'Extra24', 0, 39)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra25', N'Extra25', 0, 40)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra26', N'Extra26', 0, 41)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra27', N'Extra27', 0, 42)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra28', N'Extra28', 0, 43)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra29', N'Extra29', 0, 44)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (4, N'Default_no', N'Extra30', N'Extra30', 0, 45)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Amount2', N'Amount2', 0, 24)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra10', N'Extra10', 0, 25)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra11', N'Extra11', 0, 26)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra12', N'Extra12', 0, 27)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra13', N'Extra13', 0, 28)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra14', N'Extra14', 0, 29)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra15', N'Extra15', 0, 30)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra16', N'Extra16', 0, 31)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra17', N'Extra17', 0, 32)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra18', N'Extra18', 0, 33)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra19', N'Extra19', 0, 34)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra20', N'Extra20', 0, 35)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra21', N'Extra21', 0, 36)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra22', N'Extra22', 0, 37)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra23', N'Extra23', 0, 38)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra24', N'Extra24', 0, 39)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra25', N'Extra25', 0, 40)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra26', N'Extra26', 0, 41)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra27', N'Extra27', 0, 42)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra28', N'Extra28', 0, 43)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra29', N'Extra29', 0, 44)
GO
INSERT [dbo].[ColumnsSettings] ([ColumnsSettingsID], [ColumnsSettingsName], [ColumnName], [GridColumnName], [ShowColumn], [Order]) VALUES (5, N'Default_fi', N'Extra30', N'Extra30', 0, 45)
GO
/************************************************ END UPDATE TO DB 15 ***********************************************/

--Update 1.5.2.0 START Moving DocXML from Archiving to ReconGroups--

ALTER TABLE [dbo].[ReconGroups] ADD [DocXML] NVARCHAR(max) NULL
GO

If Object_Id('Tempdb..#TempRG') IS NOT NULL DROP TABLE #TempRG

SELECT 
  ReconGroupID 
INTO #TempRG
FROM ReconGroups 

BEGIN

DECLARE @LoopCounter INT , @MaxRGID INT, @ReconGroupID INT
SELECT @LoopCounter = min(ReconGroupID) , @MaxRGID = max(ReconGroupID) 
FROM #TempRG
	
	WHILE ( @LoopCounter IS NOT NULL
	        AND  @LoopCounter <= @MaxRGID)
			BEGIN
			SELECT @ReconGroupID = ReconGroupID FROM #TempRG WHERE ReconGroupID = @LoopCounter

			   PRINT 'Updating ReconGroupID: ' + CONVERT(varchar(20), @ReconGroupID)
			   
			   UPDATE ReconGroups SET DocXML = (SELECT TOP 1 Archiving.DocXML FROM dbo.Archiving WHERE
  Archiving.ArchiveType = 1 AND 
  Archiving.ReconGroupID = @ReconGroupID AND
  Archiving.DocXML IS NOT NULL) WHERE ReconGroupID = @ReconGroupID

SELECT @LoopCounter = min(ReconGroupID) FROM #TempRG
   WHERE ReconGroupID > @LoopCounter
	        END
END

UPDATE Archiving SET ArchiveType = 0 WHERE ArchiveType = 1
GO
--END Update 1.5.2.0 Moving DocXML from Archiving to ReconGroups--

/************************************************* UPDATE TO DB 16 **************************************************/
UPDATE [dbo].[GeneralSettings] SET DBVersion = 16 WHERE DBVersion = 15
GO
/************************************************ END UPDATE TO DB 16 ***********************************************/

/************************************************* UPDATE TO DB 17 **************************************************/
UPDATE [dbo].[GeneralSettings] SET DBVersion = 17 WHERE DBVersion = 16
GO
/****** Object:  Table [dbo].[DiffTypes]    Script Date: 2019-01-18 09:45:25 ******/
CREATE TABLE [dbo].[DiffTypes](
	[DiffTypeID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[Priority] [int] NOT NULL,
 CONSTRAINT [PK_DiffTypes] PRIMARY KEY CLUSTERED 
(
	[DiffTypeID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
INSERT [dbo].[DiffTypes] ([Name], [Description], [Priority]) VALUES (N'MISC', 'Unknown difference', 3)
INSERT [dbo].[DiffTypes] ([Name], [Description], [Priority]) VALUES (N'MINOR', 'Less significant difference', 5)
INSERT [dbo].[DiffTypes] ([Name], [Description], [Priority]) VALUES (N'CURRENCY', 'Currency differences', 4)
INSERT [dbo].[DiffTypes] ([Name], [Description], [Priority]) VALUES (N'INVESTIGATE', 'Difference that needs to be investigated', 2)
INSERT [dbo].[DiffTypes] ([Name], [Description], [Priority]) VALUES (N'CRITICAL', 'Very critical difference and must be investigated immediately', 1)
GO
ALTER TABLE [dbo].[ReconGroups] ADD [Unspecified] [decimal](20,2) NULL
GO

/****** Object:  Table [dbo].[AnalysisTemplates]    Script Date: 2019-02-05 07:44:59 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[AnalysisTemplates](
	[AnalysisID] [int] IDENTITY(1,1) NOT NULL,
	[AnalysisName] [nvarchar](max) NOT NULL,
 CONSTRAINT [PK_AnalysisTemplates] PRIMARY KEY CLUSTERED 
(
	[AnalysisID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

/****** Object:  Table [dbo].[AnalysisGroups]    Script Date: 2019-02-05 07:44:36 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[AnalysisGroups](
	[AnalysisID] [int] NOT NULL,
	[AnalysisGroupID] [int] IDENTITY(1,1) NOT NULL,
	[AnalysisGroupName] [nvarchar](max) NOT NULL,
	[SortingOrder] [int] NOT NULL,
	[XML] [nvarchar](max) NOT NULL,
 CONSTRAINT [PK_AnalysisGroups] PRIMARY KEY CLUSTERED 
(
	[AnalysisGroupID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

ALTER TABLE [dbo].[AnalysisGroups]  WITH CHECK ADD  CONSTRAINT [FK_AnalysisGroups_AnalysisTemplates] FOREIGN KEY([AnalysisID])
REFERENCES [dbo].[AnalysisTemplates] ([AnalysisID])
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[AnalysisGroups] CHECK CONSTRAINT [FK_AnalysisGroups_AnalysisTemplates]
GO
/************************************************ END UPDATE TO DB 17 ***********************************************/

/************************************************* UPDATE TO DB 18 **************************************************/
UPDATE [dbo].[GeneralSettings] SET DBVersion = 18 WHERE DBVersion = 17
GO
/****** Object:  Table [dbo].[AuditLog]    Script Date: 2019-10-25 09:37:34 ******/
CREATE TABLE [dbo].[AuditLog](
    [EventId] [int] IDENTITY(1,1) NOT NULL,
    [JsonData] [nvarchar](max) NULL,
    [TimeStamp] [datetime] NULL,
    [UserId] [int] NULL,
    [EntryType] [nvarchar](50) NULL,
 CONSTRAINT [PK_AuditLog] PRIMARY KEY CLUSTERED 
(
    [EventId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING ON
GO
/****** Object:  Index [IX_AuditLog_EntryType]    Script Date: 2019-11-01 11:41:50 ******/
CREATE NONCLUSTERED INDEX [IX_AuditLog_EntryType] ON [dbo].[AuditLog]
(
    [EntryType] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_AuditLog_TimeStamp]    Script Date: 2019-11-01 11:41:50 ******/
CREATE NONCLUSTERED INDEX [IX_AuditLog_TimeStamp] ON [dbo].[AuditLog]
(
    [TimeStamp] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_AuditLog_UserId]    Script Date: 2019-11-01 11:41:50 ******/
CREATE NONCLUSTERED INDEX [IX_AuditLog_UserId] ON [dbo].[AuditLog]
(
    [UserId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
ALTER TABLE [dbo].[GeneralSettings] ADD [RemoveAuditLogsOlderThan] [int] NOT NULL DEFAULT 12
GO
/************************************************ END UPDATE TO DB 18 ***********************************************/

/************************************************* UPDATE TO DB 19 **************************************************/
UPDATE [dbo].[GeneralSettings] SET DBVersion = 19 WHERE DBVersion = 18
/************************************************ END UPDATE TO DB 19 ***********************************************/

/************************************************* UPDATE TO DB 20 **************************************************/
/****** Object:  Table [dbo].[GridLayouts]    Script Date: 2021-03-08 13:29:55 ******/
UPDATE [dbo].[GeneralSettings] SET DBVersion = 20 WHERE DBVersion = 19

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[GridLayouts](
	[GridLayoutID] [int] IDENTITY(1,1) NOT NULL,
	[UserID] [int] NOT NULL,
	[GridType] [int] NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[XML] [nvarchar](max) NOT NULL,
 CONSTRAINT [PK_GridLayouts] PRIMARY KEY CLUSTERED 
(
	[GridLayoutID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

ALTER TABLE [dbo].[GridLayouts]  WITH CHECK ADD  CONSTRAINT [FK_GridLayouts_Users] FOREIGN KEY([UserID])
REFERENCES [dbo].[Users] ([UserID])
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[GridLayouts] CHECK CONSTRAINT [FK_GridLayouts_Users]
GO
/************************************************ END UPDATE TO DB 20 ***********************************************/


/************************************************* UPDATE TO DB 21 **************************************************/
UPDATE [dbo].[GeneralSettings] SET DBVersion = 21 WHERE DBVersion = 20
ALTER TABLE [dbo].[Entities] ADD Activated BIT NOT NULL DEFAULT 1
GO
/************************************************ END UPDATE TO DB 21 ***********************************************/


/************************************************* UPDATE TO DB 22 **************************************************/
UPDATE [dbo].[GeneralSettings] SET DBVersion = 22 WHERE DBVersion = 21
ALTER TABLE [dbo].[Tasks] ADD SharingID UNIQUEIDENTIFIER NULL DEFAULT NULL
GO
/************************************************ END UPDATE TO DB 22 ***********************************************/


/************************************************* UPDATE TO DB 23 **************************************************/
UPDATE [dbo].[GeneralSettings] SET DBVersion = 23 WHERE DBVersion = 22
ALTER TABLE [dbo].[GeneralSettings] ADD UseZipMethod BIT NOT NULL DEFAULT 0
GO
/************************************************ END UPDATE TO DB 23 ***********************************************/


SET NOEXEC OFF